Bug 428931 - books created using 'create_book' do not validate against XHTML 1.0
books created using 'create_book' do not validate against XHTML 1.0
Status: CLOSED NEXTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Michael Hideo
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-15 22:25 EST by Murray McAllister
Modified: 2015-01-04 17:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 00:20:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2008-01-15 22:25:28 EST
Description of problem:
Books created using the "create_book" command do not validate against w3c
validation tools.

All HTML should validate against XHTML 1.0 Strict.

How reproducible:
Always.

Additional info:
This problem is caused when you override xsl templates and do not override the
name space.

Thanks.
Comment 1 Murray McAllister 2008-01-24 01:07:47 EST
As well:

1. create_book --name Test_Book
2. use the w3c validator service on "Test_Book/tmp/en-US/html/index.html"

Results:

6 errors ""there is no attribute "xmlns"."

Thanks
Comment 2 Jeff Fearn 2008-02-07 00:20:43 EST
added default name space to xsl files

Note You need to log in before you can comment on or make changes to this bug.